org.springframework.web.reactive.result.method.annotation

## Class PathVariableMapMethodArgumentResolver

- java.lang.Object
- - org.springframework.web.reactive.result.method.HandlerMethodArgumentResolverSupport
  - - org.springframework.web.reactive.result.method.annotation.PathVariableMapMethodArgumentResolver

All Implemented Interfaces:
  HandlerMethodArgumentResolver, SyncHandlerMethodArgumentResolver

    public class PathVariableMapMethodArgumentResolver
    extends HandlerMethodArgumentResolverSupport
    implements SyncHandlerMethodArgumentResolver

Resolver for `Map` method arguments also annotated with `@PathVariable` where the annotation does not specify a path variable name. The resulting `Map` argument is a coyp of all URI template name-value pairs.

Since:
  5.0
Author:
  Rossen Stoyanchev
See Also:
  `PathVariableMethodArgumentResolver`

### Field Summary

### Fields inherited from class org.springframework.web.reactive.result.method.HandlerMethodArgumentResolverSupport

`logger`

### Constructor Summary

Constructors
Constructor and Description
`PathVariableMapMethodArgumentResolver(org.springframework.core.ReactiveAdapterRegistry adapterRegistry)`

### Method Summary

All Methods Instance Methods Concrete Methods
`Object` `resolveArgumentValue(org.springframework.core.MethodParameter methodParameter, BindingContext context, org.springframework.web.server.ServerWebExchange exchange)` Resolve the value for the method parameter synchronously.
`boolean` `supportsParameter(org.springframework.core.MethodParameter parameter)` Whether this resolver supports the given method parameter.

### Methods inherited from class org.springframework.web.reactive.result.method.HandlerMethodArgumentResolverSupport

`checkAnnotatedParamNoReactiveWrapper, checkParameterType, checkParameterTypeNoReactiveWrapper, getAdapterRegistry`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.springframework.web.reactive.result.method.SyncHandlerMethodArgumentResolver

`resolveArgument`

### Constructor Detail

#### PathVariableMapMethodArgumentResolver

    public PathVariableMapMethodArgumentResolver(org.springframework.core.ReactiveAdapterRegistry adapterRegistry)

### Method Detail

#### supportsParameter

    public boolean supportsParameter(org.springframework.core.MethodParameter parameter)

Description copied from interface: `HandlerMethodArgumentResolver`
Whether this resolver supports the given method parameter.

Specified by:
  `supportsParameter` in interface `HandlerMethodArgumentResolver`
Parameters:
  `parameter` - the method parameter

#### resolveArgumentValue

    public Object resolveArgumentValue(org.springframework.core.MethodParameter methodParameter,
                                       BindingContext context,
                                       org.springframework.web.server.ServerWebExchange exchange)

Description copied from interface: `SyncHandlerMethodArgumentResolver`
Resolve the value for the method parameter synchronously.

Specified by:
  `resolveArgumentValue` in interface `SyncHandlerMethodArgumentResolver`
Parameters:
  `methodParameter` - the method parameter
  `context` - the binding context to use
  `exchange` - the current exchange
Returns:
  the resolved value, if any